<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: xtea_cbc_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">xtea_cbc_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="xtea__cipher_8h_source.html">xtea_cipher.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a480d35b2f56c96f12798b18562e7fdf5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structxtea__cbc__t.html#a480d35b2f56c96f12798b18562e7fdf5">key</a> [4]</td></tr>
<tr class="separator:a480d35b2f56c96f12798b18562e7fdf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af486415b60e9011066054bfb89d80ece"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structxtea__cbc__t.html#af486415b60e9011066054bfb89d80ece">num_rounds</a></td></tr>
<tr class="separator:af486415b60e9011066054bfb89d80ece"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60c76d5d348826af046b7cb6c4b4096b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structxtea__cbc__t.html#a60c76d5d348826af046b7cb6c4b4096b">previous</a> [2]</td></tr>
<tr class="separator:a60c76d5d348826af046b7cb6c4b4096b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2118d2d9795c4df320bd80b2cce61d4d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structxtea__cbc__t.html#a2118d2d9795c4df320bd80b2cce61d4d">is_first</a></td></tr>
<tr class="separator:a2118d2d9795c4df320bd80b2cce61d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2118d2d9795c4df320bd80b2cce61d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2118d2d9795c4df320bd80b2cce61d4d">&#9670;&nbsp;</a></span>is_first</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int is_first</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a480d35b2f56c96f12798b18562e7fdf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a480d35b2f56c96f12798b18562e7fdf5">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t key[4]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af486415b60e9011066054bfb89d80ece"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af486415b60e9011066054bfb89d80ece">&#9670;&nbsp;</a></span>num_rounds</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t num_rounds</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60c76d5d348826af046b7cb6c4b4096b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60c76d5d348826af046b7cb6c4b4096b">&#9670;&nbsp;</a></span>previous</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t previous[2]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>cipher_xtea/<a class="el" href="xtea__cipher_8h_source.html">xtea_cipher.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
